'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mount = mount;

var _MountedComponent = require('./MountedComponent');

var _MountedComponent2 = _interopRequireDefault(_MountedComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Mount a given component with optional props, returning a MountedComponent
 * object with methods like `.text()` and `.find()`.
 *
 * @param {Object} TestComponent A Vue component to mount.
 * @param {Object} [props] An optional objects containing properties to pass.
 * @returns {MountedComponent}
 */
function mount(TestComponent, props) {
  var mounted = new _MountedComponent2.default();
  mounted._init(TestComponent, props);
  return mounted;
}